#!/usr/bin/env perl

use feature 'say';
use Data::Dumper::Simple;
use GaiaLBS::DataStore::Redis;
use AnyEvent;
use JSON;

my $total_request = $ARGV[0];
my $finished;

my $ds = GaiaLBS::DataStore::Redis->new(
	host => '127.0.0.1',
	port => 6379,
	encoding => 'utf8',
	on_error => sub { warn @_ },
);

#~ say Dumper $ds;

my $node_info = {
	api_key	=> 'sha142424242424242424242424242424242424242',
	layer	=> 'theWOWlayer',
	ident	=> 'wtfIdent',
};


my $cv_out = AE::cv;
$cv_out->begin;


my $json_orig = '[[{"dz":"0","dx":"423456","x":"123456","ident":"wtfIdent","api_key":"sha142424242424242424242424242424242424242","y":"1234567","sy":"3234567","layer":"theWOWlayer","dy":"5234567","sz":"0","speed":"888","sx":"2234567","orien_h":"360","z":"0","orien_v":"360"}],[]]';

for (1..$total_request) {
	$cv_out->begin;
	my $cv = $ds->query_square(
		$node_info,
		-9999999,
		-9999999,
		-9999999,
		9999999,
		9999999,
		9999999,
	);
	
	$cv->cb( sub {
		#~ say "soga" . Dumper([$_[0]->recv]);
		my @res = $_[0]->recv;
		my $json = encode_json \@res;
		say Dumper $json;
		#~ say Dumper @res;
		warn "NOT EQUAL!\n" unless $json eq $json_orig;
		$finished++;
		say $finished if $finished % ($total_request/10) == 0;
		$cv_out->end;
	});

}

$cv_out->end;

$cv_out->recv;

1;
