#!/usr/bin/env perl

use feature 'say';
use common::sense;
use Data::Dumper::Simple;
use GaiaLBS::DataStore::Redis;
use AnyEvent;
use JSON;

my $DEBUG = 1;

my $total_request = $ARGV[0];
my $finished;

my $ds = GaiaLBS::DataStore::Redis->new(
	host => '127.0.0.1',
	port => 6379,
	encoding => 'utf8',
	on_error => sub { warn @_ },
);

#~ say Dumper $ds;

my $target = {
	api_key	=> 'sha142424242424242424242424242424242424242',
	layer	=> 'theWOWlayer',
	ident	=> 'wtfIdent',
};

my $stalker = {
	api_key	=> 'apikey2',
	layer	=> 'layer2',
	ident	=> 'ident2',
};

my $cv_out = AE::cv;
$cv_out->begin;


for (1..$total_request) {
	
	$cv_out->begin;
	my $cv = $ds->stalk(
		$stalker,
		$target,
	);
	
	$cv->cb( sub {
		my ($res, $err) = $_[0]->recv;
		say Dumper( $res, $err );
		$finished++;
		say $finished if $finished % ($total_request/10) == 0;
		$cv_out->end;
	});
}


$cv_out->end;

$cv_out->recv;

1;
